#ifndef MAINOBJECT_H
#define MAINOBJECT_H

#include <QObject>

#ifdef WIN32
 #include <windows.h>
#endif

class LoginWidget;
class MainWindow;
class SetupWaitProgressBar;

class MainObject : public QObject
{
    Q_OBJECT
public:
    explicit MainObject(QObject* parent = nullptr);
    ~MainObject();

    void showLogin();
    void showMainWindow();

    LoginWidget* loginWidget();
    MainWindow* mainWindow();

    /**
    * @brief 再次显示
    **/
    void secondary();

private:
    void initUI();
    void createConnections();

private slots:


private:
    LoginWidget* mLoginWidget;
    SetupWaitProgressBar* mProgressBar;
    MainWindow* mMainWindow;
};

#endif // MAINOBJECT_H
